### Method

# Ide Workspace set_visible_surface_name

#### Declaration

    void
    ide_workspace_set_visible_surface_name (
      IdeWorkspace* self,
      const gchar* visible_surface_name
    )

#### Description

Sets the visible surface based on the name of the surface. The name of the surface comes from gtk_widget_get_name(), which should be set when creating the surface using gtk_widget_set_name().

Available since: | 3.32

#### Parameters

`visible_surface_name` | `const gchar*`
| The name of the `IdeSurface`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.